# Create a Proofing User Creates a Proofing User account. Must be a Story Orchestration customer and have available user licenses. Endpoint: POST /proofing/user Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation ## Request fields (application/json): - `first_name` (string) Example: "Tony" - `last_name` (string) Example: "Stark" - `email` (string) Email address for the user Example: "tony.stark@tenovos.com" - `roles` (array) List of string for each account type assigned to the user Enum: "manager", "user", "guest" - `phone` (string) Phone number for the user Example: "4412345678911" - `timezone` (string) Timezone for the user Example: "account_owner_timezone" - `company` (string) The company associated with the user account Example: "Tenovos" - `verified` (boolean) Indicates whether or not the user has confirmed their account via the email notification sent. Only available when the role is not guest. If set to true, user will not receive an email notification and will be able to login without confirming email address. - `password` (string) The password the user will use to login. For Tenovos federated users, this can be any password that is at least 8 characters with 1 number and 1 captial letter, and user will not use this password when accessing proofs via Tenovos federation. - `proofing_defaults` (object) - `proofing_defaults.view` (boolean) Indicates whether the user account can view proofs Example: true - `proofing_defaults.comment` (boolean) Indicates whether the user account can comment on proofs Example: true - `proofing_defaults.decision` (boolean) Indicates whether the user account can make decisions on proofs - `proofing_defaults.share` (boolean) Indicates whether the user account can share proofs Example: true - `proofing_defaults.manage` (boolean) Indicates whether the user account can manage proofs. Should be false if user is not in the manage role - `proofing_defaults.notification` (string) Indicates whether the user account is configured to get notications about proofs Example: "disabled" ## Response 200 fields (application/json): - `id` (string) Identifier of the proofing user account created Example: "a4fdc859-6d9e-4885-8df0-a5d315827703" - `first_name` (string) Example: "Tony" - `last_name` (string) Example: "Stark" - `account_owner` (boolean) Indicated if the user is the owner of the Proofing account for the organization - `timezone` (string) Example: "Europe/London" - `email` (string) Email address for the user Example: "tony.stark@tenovos.com" - `roles` (array) List of string for each account type assigned to the user Enum: "manager", "user", "guest" - `phone` (string) Phone number for the user Example: "4412345678911" - `company` (string) The company associated with the user account Example: "Tenovos" - `verified` (boolean) Indicates whether or not the user has confirmed their account via the email notification sent Example: "false" ## Response 400 fields (application/json): - `status` (string) Example: "error" - `message` (string) Example: "Detailed Error Message" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)